Package com.sap.ai.sdk.core.model

# Class BckndServiceCapabilitiesBasic

java.lang.Object
com.sap.ai.sdk.core.model.BckndServiceCapabilitiesBasic

public class BckndServiceCapabilitiesBasic extends Object
Basic capabilities like creating deployments and executions.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `BckndServiceCapabilitiesBasic()`
  Default constructor for BckndServiceCapabilitiesBasic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static BckndServiceCapabilitiesBasic`
  `create()`
  Create a new `BckndServiceCapabilitiesBasic` instance.
  `BckndServiceCapabilitiesBasic`
  `createExecutions(Boolean createExecutions)`
  Set the createExecutions of this `BckndServiceCapabilitiesBasic` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `BckndServiceCapabilitiesBasic`.
  `int`
  `hashCode()`
  `Boolean`
  `isCreateExecutions()`
  Services that only support deployment typically neither allow create executions.
  `Boolean`
  `isMultitenant()`
  true-> AI API implementation supports resource groups (Main Tenant scenario), false-> implementation does not support resource groups (Service Tenant scenario)
  `Boolean`
  `isStaticDeployments()`
  There are static always running endpoints that can be used for inference without the need to do user deployments.
  `Boolean`
  `isUserDeployments()`
  Services that only support batch inference typically neither allow listing nor creation of deployments.
  `Boolean`
  `isUserPromptTemplates()`
  Services that only support create, read and delete of prompt templates
  `BckndServiceCapabilitiesBasic`
  `multitenant(Boolean multitenant)`
  Set the multitenant of this `BckndServiceCapabilitiesBasic` instance and return the same instance.
  `void`
  `setCreateExecutions(Boolean createExecutions)`
  Set the createExecutions of this `BckndServiceCapabilitiesBasic` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `BckndServiceCapabilitiesBasic` instance.
  `void`
  `setMultitenant(Boolean multitenant)`
  Set the multitenant of this `BckndServiceCapabilitiesBasic` instance.
  `void`
  `setStaticDeployments(Boolean staticDeployments)`
  Set the staticDeployments of this `BckndServiceCapabilitiesBasic` instance.
  `void`
  `setUserDeployments(Boolean userDeployments)`
  Set the userDeployments of this `BckndServiceCapabilitiesBasic` instance.
  `void`
  `setUserPromptTemplates(Boolean userPromptTemplates)`
  Set the userPromptTemplates of this `BckndServiceCapabilitiesBasic` instance.
  `BckndServiceCapabilitiesBasic`
  `staticDeployments(Boolean staticDeployments)`
  Set the staticDeployments of this `BckndServiceCapabilitiesBasic` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `BckndServiceCapabilitiesBasic` instance including unrecognized properties.
  `String`
  `toString()`
  `BckndServiceCapabilitiesBasic`
  `userDeployments(Boolean userDeployments)`
  Set the userDeployments of this `BckndServiceCapabilitiesBasic` instance and return the same instance.
  `BckndServiceCapabilitiesBasic`
  `userPromptTemplates(Boolean userPromptTemplates)`
  Set the userPromptTemplates of this `BckndServiceCapabilitiesBasic` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BckndServiceCapabilitiesBasic

    protected BckndServiceCapabilitiesBasic()
    Default constructor for BckndServiceCapabilitiesBasic.

- ## Method Details

  - ### staticDeployments

    @Nonnull public BckndServiceCapabilitiesBasic staticDeployments(@Nullable Boolean staticDeployments)
    Set the staticDeployments of this `BckndServiceCapabilitiesBasic` instance and return the same instance.
    Parameters:
      `staticDeployments` - There are static always running endpoints that can be used for inference without the need to do user deployments.
    Returns:
      The same instance of this `BckndServiceCapabilitiesBasic` class

  - ### isStaticDeployments

    @Nonnull public Boolean isStaticDeployments()
    There are static always running endpoints that can be used for inference without the need to do user deployments.
    Returns:
      staticDeployments The staticDeployments of this `BckndServiceCapabilitiesBasic` instance.

  - ### setStaticDeployments

    public void setStaticDeployments(@Nullable Boolean staticDeployments)
    Set the staticDeployments of this `BckndServiceCapabilitiesBasic` instance.
    Parameters:
      `staticDeployments` - There are static always running endpoints that can be used for inference without the need to do user deployments.

  - ### userDeployments

    @Nonnull public BckndServiceCapabilitiesBasic userDeployments(@Nullable Boolean userDeployments)
    Set the userDeployments of this `BckndServiceCapabilitiesBasic` instance and return the same instance.
    Parameters:
      `userDeployments` - Services that only support batch inference typically neither allow listing nor creation of deployments. For these, userDeployments == false
    Returns:
      The same instance of this `BckndServiceCapabilitiesBasic` class

  - ### isUserDeployments

    @Nonnull public Boolean isUserDeployments()
    Services that only support batch inference typically neither allow listing nor creation of deployments. For these, userDeployments == false
    Returns:
      userDeployments The userDeployments of this `BckndServiceCapabilitiesBasic` instance.

  - ### setUserDeployments

    public void setUserDeployments(@Nullable Boolean userDeployments)
    Set the userDeployments of this `BckndServiceCapabilitiesBasic` instance.
    Parameters:
      `userDeployments` - Services that only support batch inference typically neither allow listing nor creation of deployments. For these, userDeployments == false

  - ### createExecutions

    @Nonnull public BckndServiceCapabilitiesBasic createExecutions(@Nullable Boolean createExecutions)
    Set the createExecutions of this `BckndServiceCapabilitiesBasic` instance and return the same instance.
    Parameters:
      `createExecutions` - Services that only support deployment typically neither allow create executions. For these, createExecutions == false
    Returns:
      The same instance of this `BckndServiceCapabilitiesBasic` class

  - ### isCreateExecutions

    @Nonnull public Boolean isCreateExecutions()
    Services that only support deployment typically neither allow create executions. For these, createExecutions == false
    Returns:
      createExecutions The createExecutions of this `BckndServiceCapabilitiesBasic` instance.

  - ### setCreateExecutions

    public void setCreateExecutions(@Nullable Boolean createExecutions)
    Set the createExecutions of this `BckndServiceCapabilitiesBasic` instance.
    Parameters:
      `createExecutions` - Services that only support deployment typically neither allow create executions. For these, createExecutions == false

  - ### userPromptTemplates

    @Nonnull public BckndServiceCapabilitiesBasic userPromptTemplates(@Nullable Boolean userPromptTemplates)
    Set the userPromptTemplates of this `BckndServiceCapabilitiesBasic` instance and return the same instance.
    Parameters:
      `userPromptTemplates` - Services that only support create, read and delete of prompt templates
    Returns:
      The same instance of this `BckndServiceCapabilitiesBasic` class

  - ### isUserPromptTemplates

    @Nonnull public Boolean isUserPromptTemplates()
    Services that only support create, read and delete of prompt templates
    Returns:
      userPromptTemplates The userPromptTemplates of this `BckndServiceCapabilitiesBasic` instance.

  - ### setUserPromptTemplates

    public void setUserPromptTemplates(@Nullable Boolean userPromptTemplates)
    Set the userPromptTemplates of this `BckndServiceCapabilitiesBasic` instance.
    Parameters:
      `userPromptTemplates` - Services that only support create, read and delete of prompt templates

  - ### multitenant

    @Nonnull public BckndServiceCapabilitiesBasic multitenant(@Nullable Boolean multitenant)
    Set the multitenant of this `BckndServiceCapabilitiesBasic` instance and return the same instance.
    Parameters:
      `multitenant` - true-> AI API implementation supports resource groups (Main Tenant scenario), false-> implementation does not support resource groups (Service Tenant scenario)
    Returns:
      The same instance of this `BckndServiceCapabilitiesBasic` class

  - ### isMultitenant

    @Nonnull public Boolean isMultitenant()
    true-> AI API implementation supports resource groups (Main Tenant scenario), false-> implementation does not support resource groups (Service Tenant scenario)
    Returns:
      multitenant The multitenant of this `BckndServiceCapabilitiesBasic` instance.

  - ### setMultitenant

    public void setMultitenant(@Nullable Boolean multitenant)
    Set the multitenant of this `BckndServiceCapabilitiesBasic` instance.
    Parameters:
      `multitenant` - true-> AI API implementation supports resource groups (Main Tenant scenario), false-> implementation does not support resource groups (Service Tenant scenario)

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `BckndServiceCapabilitiesBasic`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `BckndServiceCapabilitiesBasic` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `BckndServiceCapabilitiesBasic` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `BckndServiceCapabilitiesBasic` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static BckndServiceCapabilitiesBasic create()
    Create a new `BckndServiceCapabilitiesBasic` instance. No arguments are required.